function vexpower.panel_show()
	return {
		type = "group",
		order= 5,
		args = {
			grpallow = {
				name = "General Settings",
				order=1, type ="group", dialogInline = true,
				args = {
					activate = {
						name = "Enable addon",
						order=1, type = "toggle", width="full",
						set = function(self,key) vexpower_parameters["frame"]["show"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["show"] end,
						},
					activate_space = {name ="\n", type = "description", order=2},
					activateenergy = {
						name = "Enable Energybar",
						order=3, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["energy"]["show"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["show"] end,
						},
					activatecps = {
						name = "Enable Combopoints",
						order=4, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["combo"]["show"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["combo"]["show"] end,
						},
					},
				},
			frame_space = {name ="\n", type = "description", order=2},
			grpblizz = {
				name = "Blizzard Frames",
				order=3, type ="group", dialogInline = true,
				args = {
					disableHolyPower = {
						name = "Disable Blizzard's Holy Power Bar",
						order=1, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["blizzhide"]["holypower"]=key vexpower_setBlizzFrames() end,
						get = function() return vexpower_parameters["blizzhide"]["holypower"] end,
						},
					disableCPs = {
						name = "Disable Blizzard's ComboPoint Bar",
						order=2, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["blizzhide"]["cps"]=key vexpower_setBlizzFrames() end,
						get = function() return vexpower_parameters["blizzhide"]["cps"] end,
						},
					disableLockShards = {
						name = "Disable Blizzard's Soul Shard Frame",
						order=3, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["blizzhide"]["lockShards"]=key vexpower_setBlizzFrames() end,
						get = function() return vexpower_parameters["blizzhide"]["lockShards"] end,
						},
					hide_info = {name ="Re-enabling Blizzard's frames needs a UI reload in order to work", type = "description", order=3},
					},
				},
			frame_space1 = {name ="\n", type = "description", order=4},
			
			grpshow = {
				name = "Show Settings",
				order=5, type ="group", dialogInline = true,
				args = {
					infightonly = {
						name = "Hide Energy bar when 'out of combat'",
						order=1, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["infightshow"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["infightshow"] end,
						},
					frame_subspace1 = {name =" ", type = "description", order=2, width="half"},
					stealth = {
						name = "Show when stealthed, even when 'out of combat'",
						order=3, type = "toggle", width="double",
						disabled = not(vexpower_parameters["frame"]["infightshow"]) or not(vexpower_parameters["frame"]["show"]),
						desc = "Shows the energy bar when stealthed even when the 'out of combat'-setting is enabled and you are out of combat",
						set = function(self,key) vexpower_parameters["frame"]["stealthshow"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["stealthshow"] end,
						},
					infightonlyCP = {
						name = "Hide ComboPoints when 'out of combat'",
						order=4, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["infightshowCP"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["infightshowCP"] end,
						},
					frame_subspace1CP = {name =" ", type = "description", order=5, width="half"},
					stealthCP = {
						name = "Show when stealthed, even when 'out of combat'",
						order=6, type = "toggle", width="double",
						disabled = not(vexpower_parameters["frame"]["infightshowCP"]) or not(vexpower_parameters["frame"]["show"]),
						desc = "Shows the combopoints when stealthed even when the 'out of combat'-setting is enabled and you are out of combat",
						set = function(self,key) vexpower_parameters["frame"]["stealthshowCP"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["stealthshowCP"] end,
						},
					mana = {
						name = "Show Powerbar even when the powertype is 'mana'",
						order=20, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["energy"]["showwithmana"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["showwithmana"] end,
						},
					cpWithoutEnergy = {
						name = "Show ComboPoints when powertype isn't 'Energy'",
						order=21, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["combo"]["showWithoutEnergy"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["combo"]["showWithoutEnergy"] end,
						},
					vehiclehide = {
						name = "Show all in vehicle",
						order=22, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["vehiclehide"]=not(key) vexpower_initialize(true) end,
						get = function() return not(vexpower_parameters["frame"]["vehiclehide"]) end,
						},
					frame_subspace2 = {name =" ", type = "description", order=30, width="half"},
					vehicleEnergy= {
						name = "Show vehicle energy, when in a vehicle",
						order=31, type = "toggle", width="double",
						disabled = not(vexpower_parameters["frame"]["show"]) or vexpower_parameters["frame"]["vehiclehide"],
						set = function(self,key) vexpower_parameters["frame"]["energy"]["vehicleEnergy"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["energy"]["vehicleEnergy"] end,
						},
					},
				},
			frame_space2 = {name ="\n", type = "description", order=6},
			
			grpeffect = {
				name = "Show/Hide effect",
				order=7, type ="group", dialogInline = true,
				args = {
					fadeout= {
						name = "let the frames fadeout, instead of instantly disappear",
						order=21, type = "toggle", width="full",
						disabled = not(vexpower_parameters["frame"]["show"]),
						set = function(self,key) vexpower_parameters["frame"]["fadeout"]=key vexpower_initialize(true) end,
						get = function() return vexpower_parameters["frame"]["fadeout"] end,
						},
					},
				},
			}
		}
end